Gestionnaires de notifications
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Par quel champ recherchez-vous. Les valeurs autorisées sont: name. |
| is_enabled | Facultatif Booléen | |
| type | Facultatif Chaîne | Par quel champ recherchez-vous. Les valeurs autorisées sont: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filtrer les résultats à partir de cette date et heure. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne | Filtrer les résultats jusqu'à cette date et heure. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne | Par quel champ les résultats doivent-ils être triés. Les valeurs autorisées sont: notification_handler_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Par quel champ recherchez-vous. Les valeurs autorisées sont: name. |
| is_enabled | Facultatif Booléen | |
| type | Facultatif Chaîne | Par quel champ recherchez-vous. Les valeurs autorisées sont: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filtrer les résultats à partir de cette date et heure. Format Y-m-d H:i:s. |
| datetime_end | Facultatif Chaîne | Filtrer les résultats jusqu'à cette date et heure. Format Y-m-d H:i:s. |
| order_by | Facultatif Chaîne | Par quel champ les résultats doivent-ils être triés. Les valeurs autorisées sont: notification_handler_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. Par défaut, 1. |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont: 10, 25, 50, 100, 250, 500, 1000. Par défaut, 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:57",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 11:38:57",
}
}
POST https://tistos.com/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| type | Requis Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Facultatif Chaîne | Disponible lorsque: type = email E-mail | |
| webhook | Facultatif Chaîne | Disponible lorsque: type = webhook URL webhook |
| slack | Facultatif Chaîne | Disponible lorsque: type = slack URL webhook Slack |
| discord | Facultatif Chaîne | Disponible lorsque: type = discord URL webhook Discord |
| telegram | Facultatif Chaîne | Disponible lorsque: type = telegram Jeton d'API Telegram |
| telegram_chat_id | Facultatif Chaîne | Disponible lorsque: type = telegram ID de chat Telegram |
| microsoft_teams | Facultatif Chaîne | Disponible lorsque: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Facultatif Chaîne | Disponible lorsque: type = google_chat URL du webhook Google Chat |
| x_consumer_key | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_consumer_secret | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_access_token | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_access_token_secret | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Facultatif Chaîne | - |
| type | Facultatif Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| Facultatif Chaîne | Disponible lorsque: type = email E-mail | |
| webhook | Facultatif Chaîne | Disponible lorsque: type = webhook URL webhook |
| slack | Facultatif Chaîne | Disponible lorsque: type = slack URL webhook Slack |
| discord | Facultatif Chaîne | Disponible lorsque: type = discord URL webhook Discord |
| telegram | Facultatif Chaîne | Disponible lorsque: type = telegram Jeton d'API Telegram |
| telegram_chat_id | Facultatif Chaîne | Disponible lorsque: type = telegram ID de chat Telegram |
| microsoft_teams | Facultatif Chaîne | Disponible lorsque: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Facultatif Chaîne | Disponible lorsque: type = google_chat URL du webhook Google Chat |
| x_consumer_key | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_consumer_secret | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_access_token | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| x_access_token_secret | Facultatif Chaîne | Disponible lorsque: type = x Jeton d'API Telegram |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \